Package org.gradle.api.artifacts.dsl

## Interface DependencyAdder

-     @Incubating
      @NonExtensible
      public interface DependencyAdder

  A `DependencyAdder` is used to add dependencies to a specific configuration.

  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<D extends Dependency> void` | `add​(D dependency, Action<? super D> configuration)` | Add a dependency and configure it.
    `void` | `add​(java.lang.CharSequence dependencyNotation)` | Add a dependency.
    `void` | `add​(java.lang.CharSequence dependencyNotation, Action<? super ExternalModuleDependency> configuration)` | Add a dependency and configure it.
    `void` | `add​(Dependency dependency)` | Add a dependency.
    `void` | `add​(FileCollection files)` | Add a dependency.
    `void` | `add​(FileCollection files, Action<? super FileCollectionDependency> configuration)` | Add a dependency and configure it.
    `<D extends Dependency> void` | `add​(Provider<? extends D> dependency, Action<? super D> configuration)` | Add a dependency and configure it.
    `void` | `add​(Provider<? extends Dependency> dependency)` | Add a dependency.
    `void` | `add​(ProviderConvertible<? extends MinimalExternalModuleDependency> externalModule)` | Add a dependency.
    `void` | `add​(ProviderConvertible<? extends MinimalExternalModuleDependency> externalModule, Action<? super ExternalModuleDependency> configuration)` | Add a dependency and configure it.
    `<D extends Dependency> void` | `bundle​(java.lang.Iterable<? extends D> bundle)` | Add a bundle.
    `<D extends Dependency> void` | `bundle​(java.lang.Iterable<? extends D> bundle, Action<? super D> configuration)` | Add a bundle and configure them.
    `<D extends Dependency> void` | `bundle​(Provider<? extends java.lang.Iterable<? extends D>> bundle)` | Add a bundle.
    `<D extends Dependency> void` | `bundle​(Provider<? extends java.lang.Iterable<? extends D>> bundle, Action<? super D> configuration)` | Add a bundle and configure them.
    `<D extends Dependency> void` | `bundle​(ProviderConvertible<? extends java.lang.Iterable<? extends D>> bundle)` | Add a bundle.
    `<D extends Dependency> void` | `bundle​(ProviderConvertible<? extends java.lang.Iterable<? extends D>> bundle, Action<? super D> configuration)` | Add a bundle and configure them.

- - ### Method Detail

    - #### add

          void add​(java.lang.CharSequence dependencyNotation)

      Add a dependency.
      Parameters:
        `dependencyNotation` - dependency to add
      See Also:
        `Valid dependency notation for this method`

    - #### add

          void add​(java.lang.CharSequence dependencyNotation,
                   Action<? super ExternalModuleDependency> configuration)

      Add a dependency and configure it.
      Parameters:
        `dependencyNotation` - dependency to add
        `configuration` - an action to configure the dependency
      See Also:
        `Valid dependency notation for this method`

    - #### add

          void add​(FileCollection files)

      Add a dependency.
      Parameters:
        `files` - files to add as a dependency
      See Also:
        `DependencyFactory.create(FileCollection)`

    - #### add

          void add​(FileCollection files,
                   Action<? super FileCollectionDependency> configuration)

      Add a dependency and configure it.
      Parameters:
        `files` - files to add as a dependency
        `configuration` - an action to configure the dependency
      See Also:
        `DependencyFactory.create(FileCollection)`

    - #### add

          void add​(ProviderConvertible<? extends MinimalExternalModuleDependency> externalModule)

      Add a dependency.
      Parameters:
        `externalModule` - external module to add as a dependency

    - #### add

          void add​(ProviderConvertible<? extends MinimalExternalModuleDependency> externalModule,
                   Action<? super ExternalModuleDependency> configuration)

      Add a dependency and configure it.
      Parameters:
        `externalModule` - external module to add as a dependency
        `configuration` - an action to configure the dependency

    - #### add

          void add​(Dependency dependency)

      Add a dependency.
      Parameters:
        `dependency` - dependency to add

    - #### add

          <D extends Dependency> void add​(D dependency,
                                          Action<? super D> configuration)

      Add a dependency and configure it.
      Parameters:
        `dependency` - dependency to add
        `configuration` - an action to configure the dependency

    - #### add

          void add​(Provider<? extends Dependency> dependency)

      Add a dependency.
      Parameters:
        `dependency` - dependency to add

    - #### add

          <D extends Dependency> void add​(Provider<? extends D> dependency,
                                          Action<? super D> configuration)

      Add a dependency and configure it.
      Parameters:
        `dependency` - dependency to add
        `configuration` - an action to configure the dependency

    - #### bundle

          <D extends Dependency> void bundle​(java.lang.Iterable<? extends D> bundle)

      Add a bundle.
      Parameters:
        `bundle` - the bundle to add

    - #### bundle

          <D extends Dependency> void bundle​(java.lang.Iterable<? extends D> bundle,
                                             Action<? super D> configuration)

      Add a bundle and configure them.
      Parameters:
        `bundle` - the bundle to add
        `configuration` - an action to configure each dependency in the bundle

    - #### bundle

          <D extends Dependency> void bundle​(Provider<? extends java.lang.Iterable<? extends D>> bundle)

      Add a bundle.
      Parameters:
        `bundle` - the bundle to add

    - #### bundle

          <D extends Dependency> void bundle​(Provider<? extends java.lang.Iterable<? extends D>> bundle,
                                             Action<? super D> configuration)

      Add a bundle and configure them.
      Parameters:
        `bundle` - the bundle to add
        `configuration` - an action to configure each dependency in the bundle

    - #### bundle

          <D extends Dependency> void bundle​(ProviderConvertible<? extends java.lang.Iterable<? extends D>> bundle)

      Add a bundle.
      Parameters:
        `bundle` - the bundle to add

    - #### bundle

          <D extends Dependency> void bundle​(ProviderConvertible<? extends java.lang.Iterable<? extends D>> bundle,
                                             Action<? super D> configuration)

      Add a bundle and configure them.
      Parameters:
        `bundle` - the bundle to add
        `configuration` - an action to configure each dependency in the bundle